Retrieve a patient's vaccination history

Last updated: Sep 11, 2025
HEALTH TECH VENDOR
IMPLEMENTATION
PRODUCT OWNER

You can use this API action to access a list of a patient’s vaccinations, as documented by a specific organization.

With this API action, you can retrieve information like dose, manufacturer, lot, route number, and more.

Prerequisite: Having a patient identifier

To use this API action, you must know the patient identifier. If you don’t have one, search for a patient with demographics to locate an appropriate identifier first.

Use cases

This API action may be a good fit for your organization if you perform any of these use cases:

  • Track a patient’s vaccinations.
  • Offer targeted recommendations for immunizations to patients.

Supported systems

You can use this API action with the Redox FHIR® API.

Your connection's system can return results with their own FHIR® or query-based API.

Things you need to know

What's next?

Does this API action seem like a good fit for your unique workflow? Let your Technical Account Manager know! To start development, download the resource schema noted in the related action step. Then decide which data elements you need.

If you’re new to Redox, use the Quickstart guide to dive in. If you’re not engaged with our sales team yet, talk to a Redoxer to get started.

Action steps

Prerequisites

The following actions must be completed before attempting the steps below.

Steps
  • 1
    Retrieve a patient's vaccinations
    required

This table has notes about how to use parameters for this API action specifically, but it's not exhaustive. Refer to the Immunization schema for more details.

Query parameter

Required

Notes

patient.identifier

Y

You must include at least one identifier for the patient that the EHR system uses. If you don't have a patient identifier, search for a patient with demographics to find one.

The response contains one or more vaccinations for an individual patient. You can find the total number of included vaccinations in the total array for FHIR® responses.

We recommend that you check the StatusReason field to find out whether a vaccination was administered. If populated, it should contain a reason for not administering a vaccination. If the field is empty, it’s likely that the vaccination was successfully administered.

Immunization/_search
Query
bash
1
curl 'https://api.redoxengine.com/fhir/R4/redox-fhir-sandbox/Development/Immunization/_search' \
2
--request POST \
3
--header 'Authorization: Bearer ${API_TOKEN}' \
4
--header 'Content-Type: application/x-www-form-urlencoded' \
5
--data-urlencode 'patient=Patient/81c2f5eb-f99f-40c4-b504-59483e6148d7'
Response
json
1
{
2
"id": "eb8215ca-9ce8-43ea-bf65-4f9828bfc87a",
3
"type": "searchset",
4
"entry": [
5
{
6
"search": {
7
"mode": "match",
8
"score": 1
9
},
10
"resource": {
11
"id": "4180c215-5c39-4da0-989f-ed861dd32c91",
12
"meta": {
13
"lastUpdated": "2022-12-02T21:06:21.612Z"
14
},
15
"note": [
16
{
17
"text": "Notes on administration of vaccine"
18
}
19
],
20
"site": {
21
"coding": [
22
{
23
"code": "LA",
24
"system": "http://terminology.hl7.org/CodeSystem/v3-ActSite",
25
"display": "left arm"
26
}
27
]
28
},
29
"route": {
30
"coding": [
31
{
32
"code": "IM",
33
"system": "http://terminology.hl7.org/CodeSystem/v3-RouteOfAdministration",
34
"display": "Injection, intramuscular"
35
}
36
]
37
},
38
"status": "completed",
39
"patient": {
40
"reference": "Patient/81c2f5eb-f99f-40c4-b504-59483e6148d7"
41
},
42
"education": [
43
{
44
"documentType": "253088698300010311120702",
45
"publicationDate": "2012-07-02",
46
"presentationDate": "2013-01-10"
47
}
48
],
49
"lotNumber": "AAJN11K",
50
"performer": [
51
{
52
"actor": {
53
"reference": "Practitioner/dbed0f85-e3cd-47ac-9305-3f629e138832"
54
},
55
"function": {
56
"coding": [
57
{
58
"code": "OP",
59
"system": "http://terminology.hl7.org/CodeSystem/v2-0443"
60
}
61
]
62
}
63
},
64
{
65
"actor": {
66
"reference": "Practitioner/dbed0f85-e3cd-47ac-9305-3f629e138832"
67
},
68
"function": {
69
"coding": [
70
{
71
"code": "AP",
72
"system": "http://terminology.hl7.org/CodeSystem/v2-0443"
73
}
74
]
75
}
76
}
77
],
78
"identifier": [
79
{
80
"value": "9800440089",
81
"system": "urn:redox:redox-fhir-sandbox:Immunization",
82
"extension": [
83
{
84
"url": "https://fhir.redoxengine.com/StructureDefinition/identifier-origin",
85
"valueString": "RedoxAPI"
86
}
87
]
88
}
89
],
90
"reasonCode": [
91
{
92
"coding": [
93
{
94
"code": "429060002",
95
"system": "http://snomed.info/sct"
96
}
97
]
98
}
99
],
100
"isSubpotent": true,
101
"vaccineCode": {
102
"text": "Fluvax (Influenza)",
103
"coding": [
104
{
105
"code": "FLUVAX",
106
"system": "urn:oid:1.2.36.1.2001.1005.17"
107
}
108
]
109
},
110
"doseQuantity": {
111
"code": "mg",
112
"value": 5,
113
"system": "http://unitsofmeasure.org"
114
},
115
"resourceType": "Immunization",
116
"fundingSource": {
117
"coding": [
118
{
119
"code": "private",
120
"system": "http://terminology.hl7.org/CodeSystem/immunization-funding-source"
121
}
122
]
123
},
124
"primarySource": true,
125
"expirationDate": "2015-02-15",
126
"occurrenceDateTime": "2013-01-10T10:00:00.000Z",
127
"programEligibility": [
128
{
129
"coding": [
130
{
131
"code": "ineligible",
132
"system": "http://terminology.hl7.org/CodeSystem/immunization-program-eligibility"
133
}
134
]
135
}
136
]
137
}
138
}
139
],
140
"total": 1,
141
"resourceType": "Bundle"
142
}

FHIR® is a registered trademark of Health Level Seven International (HL7) and is used with the permission of HL7. Use of this trademark does not constitute an endorsement of products/services by HL7®.